System.Web 2.0.0.0 System.Object System.ICloneable System.Web.UI.IStateManager System.ComponentModel.DefaultProperty("DefaultValue")

The class represents a parameter in a parameterized SQL query, a filtering expression, or a business object method call that an ASP.NET data source control uses to select, filter, or modify data. objects are contained in a object. objects are evaluated at run time, to bind the values of the variables they represent to whatever method is used by a data source control to interact with data.

Use classes that derive from with data source and data-bound controls to build Web-based data applications. These parameter classes are used by data source controls to bind specific kinds of values found in Web applications to placeholders in SQL query strings, business object method parameters, and more. The following table lists parameter types that are included in ASP.NET.

Binds any public property of a Web server control.

Binds a form field.

Binds a session-state field.

Binds a route URL parameter.

Binds a cookie field.

Binds a query-string parameter.

Binds a profile field.

Extend the base class when you want to implement your own custom parameter types.

objects are very simple: they have a and a property, can be represented declaratively, and can track state across multiple HTTP requests. All parameters support a property, for cases when a parameter is bound to a value, but the value evaluates to null at run time.

When using a collection of objects with a data source control, their order in the collection might matter. For more information on how parameters are used, see Using the SqlDataSource and AccessDataSource Controls with Parameters and Using Parameters with the ObjectDataSource Control.

Provides a mechanism that data source controls use to bind to application variables, user identities and choices, and other data. Serves as the base class for all ASP.NET parameter types.

- Constructor

  A object created with the constructor is initialized with default values for all its properties. The property is initialized to , the property is initialized to , the property is initialized to , and the property is initialized to null.

  Initializes a new default instance of the class.

  2.0.0.0
- Constructor

  A object created with the constructor is initialized with the specified and default values for its other properties. The property is initialized to , the property is initialized to , and the property is initialized to null.

  Initializes a new instance of the class, using the specified name.

  The name of the parameter.
  2.0.0.0
- Constructor

  The constructor is a protected copy constructor used to clone a instance. The values of the , , , , and properties are all transferred to the new instance.

  Initializes a new instance of the class with the values of the original, specified instance.

  A instance from which the current instance is initialized.
  2.0.0.0
- Constructor

  A object created with the constructor is initialized with the specified and parameters, and default values for other properties. The property is initialized to , and the property is initialized to null.

  Initializes a new instance of the class, using the specified name and type.

  The name of the parameter.
  A that describes the type of the parameter.
  2.0.0.0
- Constructor

  A object created with the constructor is initialized with the specified parameter and parameter, and assigned a property value. The property is initialized to .

  Initializes a new instance of the class, using the specified name, the specified type, and the specified string for its property.

  The name of the parameter.
  A that describes the type of the parameter.
  A string that serves as a default value for the parameter, if the is bound to a value that is not yet initialized when is called.
  2.0.0.0
- Method
  System.Web.UI.WebControls.Parameter

  The method calls the copy constructor to initialize a new instance of the class with the values of the current instance.

  If you extend the class, you can override the method to include any state that should be copied to a new instance of your derived class.

  Returns a duplicate of the current instance.

  A that is an exact duplicate of the current one.

  2.0.0.0
- Property
  System.ComponentModel.DefaultValue(true)
  System.Boolean To be added.

  If the property of the parameter is changed, the method is called.

  Gets or sets a value indicating whether the value that the object is bound to should be converted to null if it is .

  2.0.0.0
- Property
  System.ComponentModel.DefaultValue(null)
  System.String To be added.

  The property is used in scenarios where the parameter is bound to a value, but the value is null or cannot be resolved when the object is evaluated.

  If the property of the parameter is changed, the method is called.

  Specifies a default value for the parameter, should the value that the parameter is bound to be uninitialized when the method is called.

  2.0.0.0
- Property
  System.ComponentModel.DefaultValue("Input")
  System.Data.ParameterDirection To be added.

  The property is currently not used by the class and is reserved for future use.

  The property describes the direction of the flow of data between the value that a instance is bound to and the object itself. The default value for the property, , describes the most common scenario where the flow of data is always in one direction: from the value to which the object is bound to the object. Any changes made to the underlying value are reflected by the object, but any changes to the object are not reflected by the underlying data. You can set the property to or when working with output parameters, or when working with a return value from a stored procedure.

  If the property of the parameter is changed, the method is called.

  Indicates whether the object is used to bind a value to a control, or the control can be used to change the value.

  2.0.0.0
- Method
  System.Object `` ``

  The default implementation of the method is to return null in all cases. Classes that derive from the class override the method to return an updated parameter value. For example, the object returns the value of the control that it is bound to, while the object retrieves the current name/value pair from the object.

  Updates and returns the value of the object.

  An object that represents the updated and current value of the parameter.

  The current of the request. The the parameter is bound to. If the parameter is not bound to a control, the parameter is ignored. 2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether the object is saving changes to its view state.

  2.0.0.0
- Method
  System.Void ``

  This method is used primarily by the .NET Framework infrastructure and is not intended to be used directly from your code. However, control developers can override this method to specify how a custom server control restores its view state. For more information, see ASP.NET State Management Overview.

  This method restores view-state information for the object from a previous page request that was saved by the method.

  Restores the data source view's previously saved view state.

  An that represents the state to restore. 2.0.0.0
- Property
  System.ComponentModel.DefaultValue("")
  System.String To be added.

  objects are not required to have a name; however, data source controls might use the parameter name to match a object in a collection with a parameter in a SQL query or business method signature. For example, the control can use the name of the object to match a placeholder in a parameterized SQL query. Similarly, the control can use the name of a object in the collection to match a placeholder in the property. In some cases, the name is not used and the order in which the object is added to a collection is more important. For more information, see Using the SqlDataSource and AccessDataSource Controls with Parameters and Using Parameters with the ObjectDataSource Control.

  If the name of the parameter is changed, the method is called.

  Gets or sets the name of the parameter.

  2.0.0.0
- Method
  System.Void

  If the object is not contained by a collection, calling the method has no effect. If the object is contained by a collection, raises the event of the collection.

  If the collection is contained by a data source control, the event raises the data source control's event, causing any data-bound controls to rebind.

  Raising an event invokes the event handler through a delegate. For more information, see Raising an Event.

  The method also allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Calls the method of the collection that contains the object.

  2.0.0.0
- Method
  System.Object

  This method is used primarily by control developers.

  View state is the accumulation of the values of a server control's properties. These values are automatically placed in the server control's property, which is an instance of the class. This property's value is then persisted to a string object after the save state stage of the server control life cycle.

  When view state is saved, this string object is returned to the client as a variable that is stored in an HTML hidden element. When you author custom server controls, you can improve efficiency by overriding this method and modifying your server control's property.

  Saves the changes to the object's view state since the time the page was posted back to the server.

  The that contains the changes to the view state. If there is no view state associated with the object, this method returns null.

  2.0.0.0
- Method
  2.0.0.0
  System.Void

  The method is called directly by the method, to mark the object so that its state is recorded in view state.

  Marks the object so its state will be recorded in view state.

- Property
  System.ComponentModel.DefaultValue(0)
  System.Int32 To be added.

  When the value for is changed, the method is called.

  Gets or sets the size of the parameter.

  2.0.0.0
- Method
  2.0.0.0
  System.Object

  The method calls the constructor to initialize a new instance of the class with the values of the current instance.

  If you extend the class, you can override the method to include any state that should be copied to a new instance of your derived class.

  Returns a duplicate of the current instance.

  A that is a copy of the current object.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the object is saving changes to its view state.

- Method
  2.0.0.0
  System.Void ``

  This method restores view-state information for the object from a previous page request that was saved by the method.

  This method is used primarily by control developers. You can override this method to control how a custom server control restores its view state.

  Restores the data source view's previously saved view state.

  An that represents the state to restore.
- Method
  2.0.0.0
  System.Object

  This method is used primarily by control developers.

  View state is the accumulation of the values of a server control's properties. These values are automatically placed in the server control's property, which is an instance of the class. This property's value is then persisted to a string object after the save state stage of the server control life cycle.

  When view state is saved, this string object is returned to the client as a variable that is stored in an HTML hidden element. When you author custom server controls, you can improve efficiency by overriding this method and modifying your server control's property.

  Saves the changes to the object's view state since the time the page was posted back to the server.

  The that contains the changes to the object's view state. If there is no view state associated with the object, this method returns null.

- Method
  2.0.0.0
  System.Void To be added.

  Causes the object to track changes to its view state so they can be stored in the control's object and persisted across requests for the same page.

- Method
  System.String

  The method returns the property of the object. If the object has no name, returns .

  Converts the value of this instance to its equivalent string representation.

  A string representation of the value of this instance.

  2.0.0.0
- Method
  System.Void To be added.

  Causes the object to track changes to its view state so they can be stored in the control's object and persisted across requests for the same page.

  2.0.0.0
- Property
  System.ComponentModel.DefaultValue(System.TypeCode.Empty)
  System.TypeCode To be added.

  The type can be used to create strongly typed parameters, so that values are converted correctly between your Web application and underlying code.

  If the type of the parameter is changed, the method is called.

  Gets or sets the type of the parameter.

  2.0.0.0
- Property
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.Web.UI.StateBag To be added.

  A parameter's view state is the accumulation of all its property values. To preserve these values across HTTP requests, ASP.NET server controls use this property, which is an instance of the class, to store the property values. The values are then passed as a variable to an HTML hidden input element when subsequent requests are processed. View state is enabled for all server controls by default.

  For more information about dictionaries and how to use them, see Collections and Data Structures.

  Gets a dictionary of state information that allows you to save and restore the view state of a object across multiple requests for the same page.

  2.0.0.0